58 Replies Latest reply on Oct 24, 2009 5:57 PM by 7tifg96r@free.fr

    Beta4 is out!

    rahulgarg
      with gpu support!!

      2.0 beta4 appears to be out!

        • Beta4 is out!
          darkradeon

          Will beta 5 support Radeon HD 3k or Radeon HD 2K?

            • Beta4 is out!
              nou

              darkradeon: sadly no. http://forums.amd.com/devforum/messageview.cfm?catid=390&threadid=119267&enterthread=y

              is beta4 compatibile with nvidia? thus run application without relinking.

                • Beta4 is out!
                  sesef

                  I cant extract ati-opencl-beta-driver-v2.0-beta4-xp.zip every time when i try extract it I got error.

                    • Beta4 is out!
                      michael.chu

                      Hi sesef,

                      Thank you for pointing out the issue! I verified that, for some reason, the XP driver that was uploaded is corrupted (doesn't match the md5sum I had generated in the .md5sum file).

                      I am uploading the correct file here:

                      ftp://streamcomputing:streamcomputing@ftp-developer.amd.com/ATI%20Stream%20SDK%20v2.0-beta4/ati-opencl-beta-driver-v2.0-beta4-xp.zipstreamcomputing@ftp-developer.amd.com/ATI%20Stream%20SDK%20v2.0-beta4/ati-opencl-beta-driver-v2.0-beta4-xp.zip

                      and at the same time getting out web folks to look at it and replace the file.

                      I apologize for the inconvenience! I checked the md5sums of the other binaries off the site and their md5sums look okay. Let me know if the other files cause any issues for you!

                      Michael.

                        • Beta4 is out!
                          titanius

                          Installing the fglrx-8.67 (opencl driver for linux 64 bit) shows "Testing use only Unsupported Hardware" on the right hand bottom of the screen

                           

                          Using on 2.6.31-4 on Debian Unstable 64 bit on a Radeon 4830

                           

                          Is this normal?

                           

                          Edit:

                          Hmm. seems that i cannot run GPU based OpenCL code. "Unsuppported GPU device; falling back to CPU...."

                            • Beta4 is out!
                              commike2

                              Release Notes are still beta3.

                                • Beta4 is out!
                                  michael.chu

                                  Hi commike2,

                                  Thank you for bringing that to my attention! Looks like the docs that were extracted from the package were not all uploaded properly. I'm getting the web folks to get that fixed along with the XP driver issue.

                                  You can get the same docs from the installation package (albeit a bit less conveniently) in the meantime.

                                  Michael.

                                  • Beta4 is out!
                                    edward_yang

                                    Also a rather trivial error in Installation Notes 2.2 where 32-bit and 64-bit are given the same instruction.

                                      • Beta4 is out!
                                        michael.chu

                                        Thanks edward_yang!

                                        I remember staring at that exact section of the installation notes a few days ago and can't believe I didn't catch that typo! I've filed a bug report and that'll get fixed in our next doc spin.

                                        Michael.

                                    • Beta4 is out!
                                      michael.chu

                                      Hi titanius, just a quick sanity check... if you ran the FindNumDevices CAL sample, does it report back 1 (or at least non-zero)?

                                        • Beta4 is out!
                                          titanius

                                           

                                          Originally posted by: michael.chu Hi titanius, just a quick sanity check... if you ran the FindNumDevices CAL sample, does it report back 1 (or at least non-zero)?

                                           

                                           

                                          Yup i see it returning1 device and also the Cal samples like matrix multiplication etc work fine.

                                          Supported CAL Runtime Version: 1.3.185
                                          Found CAL Runtime Version: 1.4.467
                                          Use -? for help
                                          CAL initialized.
                                          Finding out number of devices :-
                                          Device Count = 1
                                          CAL shutdown successful.

                                            • Beta4 is out!
                                              awiegersma

                                              Installing the fglrx-8.67 driver for a Mobility Radeon 4650 on Ubuntu 9.04 32-bit also displays "AMD Testing use only" on the bottom right off the screen.

                                              The OpenCL examples run fine and FindNumDevices in the cal/bin directory shows Device Count = 1.

                                              • Beta4 is out!
                                                michael.chu

                                                Hmm... are you running under Linux? If so, can you do a ldd on the OpenCL sample binary you are running to make sure it is grabbing the CAL dlls that were installed with the fglrx-8.67 driver?

                                                  • Beta4 is out!
                                                    mat69

                                                     

                                                    Originally posted by: michael.chu Hmm... are you running under Linux? If so, can you do a ldd on the OpenCL sample binary you are running to make sure it is grabbing the CAL dlls that were installed with the fglrx-8.67 driver?

                                                     

                                                    Was that adressed to me? Btw. in what way is there a driver update refer to in the last post?

                                                    Now compiling cal does partially work, but in some cases it reports

                                                    OpenCloseDevice.cpp:155: error: 'stdout' was not declared in this scope                                                                                     
                                                    OpenCloseDevice.cpp:164: error: 'fprintf' was not declared in this scope 

                                                    same is true for stderr etc. I wonder if you should have used <iostream> and std::cout, std::cerr etc. there.

                                                      • Beta4 is out!
                                                        rotor

                                                        Hi all,

                                                        I am new to OpenCL and Just download the Driver and SDK for Window7 32 bit with AMD Athlon64 X2 CPU. Try to run the HelloCL.exe to test the device but got erro, the program exit. Try to run in debug mode in VS2008 got the error message in line 1552: Run-Time Check Failure #0 - The value of ESP was not properly saved across a function call.  This is usually a result of calling a function declared with one calling convention with a function pointer declared with a different calling convention.

                                                        Have anyone get the same problem?

                                                          • Beta4 is out!
                                                            omkaranathan

                                                             

                                                            Originally posted by: rotor Hi all,

                                                             

                                                            Try to run the HelloCL.exe to test the device but got erro, the program exit.

                                                            Could you post the exact error message you are getting?

                                                             

                                                            Try to run in debug mode in VS2008 got the error message in line 1552: Run-Time Check Failure #0 - The value of ESP was not properly saved across a function call.  This is usually a result of calling a function declared with one calling convention with a function pointer declared with a different calling convention.

                                                             

                                                            Have anyone get the same problem?

                                                             

                                                            Do you have an installation of the previous SDK/any remains of it in your system?

                                                              • Beta4 is out!
                                                                rotor

                                                                Hi Omkaranathan,

                                                                The .exe exit without any message. The message I got is from running in VS2008 debug mode. I actually have another Nvidia SDK in my computer but only one ATI SDK I have installed so far. Is there any chance for confliction between Nvidia SDK and ATI SDK?

                                                                Thanks

                                                                  • Beta4 is out!
                                                                    genaganna

                                                                     

                                                                    Originally posted by: rotor Hi Omkaranathan,

                                                                     

                                                                    The .exe exit without any message. The message I got is from running in VS2008 debug mode. I actually have another Nvidia SDK in my computer but only one ATI SDK I have installed so far. Is there any chance for confliction between Nvidia SDK and ATI SDK?

                                                                     

                                                                    Thanks

                                                                     

                                                                     

                                                                    rotor,

                                                                           make sure that only ATI OpenCL dll are in path.

                                                                • Beta4 is out!
                                                                  griffin2000

                                                                   

                                                                  Originally posted by: rotor Hi all,

                                                                   

                                                                  Have anyone get the same problem?

                                                                   


                                                                  I get this if I have the Nvidia OpenCL.DLL in my path before the ATI one (so it finds it first).

                                                                  The Nvidia installer puts theirs in c:\windows\system32, ATI's is in c:\program files\ati stream\bin\x86.  I Just copied the ATI one alongside my EXE so it finds it first (you could also uninstall the Nvidia version and add the ATI one to your path).

                                                                   

                                                                    • Beta4 is out!
                                                                      Vi0L0

                                                                      First: i have found way to disable this funny testing logo in linux (run this cmd as root):

                                                                      (look @ attached code)

                                                                       

                                                                      In fact those "strange characters and numbers" is signature of catalyst 9.9

                                                                      you see this testing logo because the 8.67 comes unsigned (see 24th line of ati-driver-installer-8.67-x86.x86_64.run file) which tells fglrx to display such logo

                                                                      i have no idea how catalyst_9.9 sinature effect on fglrx properties or behaviour, maybe it's changing nothing... well at least i see no such changes (except no logo ofcourse)
                                                                      Also I belive you can use signature of any catalyst release, i've picked up 9.9

                                                                       

                                                                      Im hd 4850 owner, archlinux x86_64 user, working on 2.6.31.4 kernel, i know that archlinux isn't supported distro, but im still wondering why i cannot run any opencl program. Also FindNumDevices says Device Count = 0 .

                                                                      (and yes - i have tested this with and without 9.9 signature ;P)

                                                                      It's strange because i've builded 8.67 without errors, and everything else like dri, xv, opengl works like a charm...

                                                                      I've builded fglrx in version 8.660 (leaked) or 9.8/9.9(with patch) on this kernel without any problems...

                                                                      But now im stuck without opencl, its too bad cause i wanted to start learn such programming.

                                                                      I belive its matter of time, but still have no idea why its not workin... maybe we (archlinux users) need some changes in build formula of such packages.

                                                                      If anyone wanna help me (probably us - archlinux users, i don't think it's only my, particular case) - you can look at build instruction in PKGBUILD (simple and short bash script) @ http://aur.archlinux.org/packages.php?ID=31216

                                                                       

                                                                      echo -n "ef63bf6953f207b95a61f7eaf13ff0f9:d74d895c7ec23e896250c48bdc0fc8ced8568f2a7eb3" > /etc/ati/signature echo -n "53f07a55ced2c70fc4:8b548b0d6bcb32da6d0494d8c25ac8c0d9518a5930c63fdb3" >> /etc/ati/signature echo "e02c78c9207939c8b5b8a5f6b9435d86d0495d9c40c96c9d8028a5c3097638b3956c78c920b" >> /etc/ati/signature

                                                                        • Beta4 is out!
                                                                          titanius

                                                                           

                                                                          Originally posted by: Vi0L0 First: i have found way to disable this funny testing logo in linux (run this cmd as root):

                                                                           

                                                                          (look @ attached code)

                                                                           

                                                                           

                                                                           

                                                                          In fact those "strange characters and numbers" is signature of catalyst 9.9

                                                                           

                                                                          you see this testing logo because the 8.67 comes unsigned (see 24th line of ati-driver-installer-8.67-x86.x86_64.run file) which tells fglrx to display such logo

                                                                           

                                                                          i have no idea how catalyst_9.9 sinature effect on fglrx properties or behaviour, maybe it's changing nothing... well at least i see no such changes (except no logo ofcourse) Also I belive you can use signature of any catalyst release, i've picked up 9.9

                                                                           

                                                                           

                                                                           

                                                                          Im hd 4850 owner, archlinux x86_64 user, working on 2.6.31.4 kernel, i know that archlinux isn't supported distro, but im still wondering why i cannot run any opencl program. Also FindNumDevices says Device Count = 0 .

                                                                           

                                                                          (and yes - i have tested this with and without 9.9 signature ;P)

                                                                           

                                                                          It's strange because i've builded 8.67 without errors, and everything else like dri, xv, opengl works like a charm...

                                                                           

                                                                          I've builded fglrx in version 8.660 (leaked) or 9.8/9.9(with patch) on this kernel without any problems...

                                                                           

                                                                          But now im stuck without opencl, its too bad cause i wanted to start learn such programming.

                                                                           

                                                                          I belive its matter of time, but still have no idea why its not workin... maybe we (archlinux users) need some changes in build formula of such packages.

                                                                           

                                                                          If anyone wanna help me (probably us - archlinux users, i don't think it's only my, particular case) - you can look at build instruction in PKGBUILD (simple and short bash script) @ http://aur.archlinux.org/packages.php?ID=31216

                                                                           

                                                                           

                                                                           

                                                                           

                                                                          well i posted earlier that i encountered some problems with debian. I had to do the signature trick and also /etc/ati/control trick (basically using an old install's control file and copy when you install the newest driver)

                                                                          http://www.phoronix.com/scan.php?page=news_item&px=NTkyMg

                                                                           

                                                                          also do check if its interfering with an older install of the sdk, that happened to be the problem with my case. it was using the old sdk's library.

                                                                            • Beta4 is out!
                                                                              Vi0L0

                                                                              @titanius:

                                                                              i've tried with signatures and controls from 9.9 and 8.660...

                                                                              also i've no bad symlinks, i double checked paths...

                                                                              and its the same - no opencl ;-(

                                                                                • Beta4 is out!
                                                                                  Vi0L0

                                                                                  (in linux x86_64) Is there any way to trace bug and find out why my hd 4850 can't handle opencl with that 8.67 driver? Its beta, it should have some implemented logging functionality to report bugs and make some changes...

                                                                                  Edit: also no problems in compiling cal or opencl samples. Checked on own 2.6.31.4 kernel patched with bfs patch, and default 2.6.31.4 kernel

                                                                                  Edit2: second ago some light came to my head, and i gave root priviliges to access Xes

                                                                                  $ xhost +

                                                                                  but this doesn't help, now i have that error:

                                                                                  # ./FindNumDevices
                                                                                  Supported CAL Runtime Version: 1.3.185
                                                                                  Found CAL Runtime Version: 1.4.467
                                                                                  Use -? for help
                                                                                  Memory protection violation     <~~ could sound otherwise, but meaning must be the same, i've translated this

                                                                                  (Ive checked FindNumDevices compiled on my pc, and that builded by amd)
                                                                                  Also I login to kde from root account, but runing FindNumDevices gives same error

                                                                                  Edit3: another tests: 1) start linux in text mode:

                                                                                  # ./FindNumDevices

                                                                                  Device Count = 0

                                                                                  2) after kde4 (X -ac) start :

                                                                                  # ./FindNumDevices                               <~~ (in konsole window)

                                                                                  Memory protection violation

                                                                                  3) then switch to vc1/tty1 (Ctrl+Alt+F1)

                                                                                  # ./FindNumDevices

                                                                                  Supported CAL Runtime Version: 1.3.185
                                                                                  Found CAL Runtime Version: 1.4.467
                                                                                  Use -? for help                                         <~~  (and then it stops!, no msg, till kill)

                                                                                   

                                                                                  strange...

                                                                                  # ldd samples/cal/bin/x86_64/FindNumDevices linux-vdso.so.1 => (0x00007fff0cfac000) libaticalrt.so => /usr/lib/libaticalrt.so (0x00007f4603698000) libaticalcl.so => /usr/lib/libaticalcl.so (0x00007f46034ab000) libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f4603299000) libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f4602f5f000) libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f4602c51000) libpthread.so.0 => /lib/libpthread.so.0 (0x00007f4602a36000) libdl.so.2 => /lib/libdl.so.2 (0x00007f4602832000) libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007f460261c000) libc.so.6 => /lib/libc.so.6 (0x00007f46022c9000) librt.so.1 => /lib/librt.so.1 (0x00007f46020c1000) libm.so.6 => /lib/libm.so.6 (0x00007f4601e3f000) libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f4601c3d000) libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f4601a21000) /lib64/ld-linux-x86-64.so.2 (0x00007f46035c9000) libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f460181c000) # gdb FindNumDevices (gdb) run Starting program: ati-stream-sdk-v2.0-beta4-lnx64/samples/cal/samples/tutorial/FindNumDevices/FindNumDevices [Thread debugging using libthread_db enabled] Supported CAL Runtime Version: 1.3.185 Found CAL Runtime Version: 1.4.467 Use -? for help Program received signal SIGSEGV, Segmentation fault. 0x00007ffff5a7392a in ?? () from /usr/lib/libaticaldd.so (gdb) where #0 0x00007ffff5a7392a in ?? () from /usr/lib/libaticaldd.so #1 0x00007ffff5a736e5 in ?? () from /usr/lib/libaticaldd.so #2 0x00007ffff5a701b7 in ?? () from /usr/lib/libaticaldd.so #3 0x00007ffff5a67b15 in ?? () from /usr/lib/libaticaldd.so #4 0x00007ffff5995e63 in ?? () from /usr/lib/libaticaldd.so #5 0x00007ffff5ab06da in ?? () from /usr/lib/libaticaldd.so #6 0x00007ffff5aaa1e1 in ?? () from /usr/lib/libaticaldd.so #7 0x00007ffff5ab95e5 in ?? () from /usr/lib/libaticaldd.so #8 0x0000000000404d1b in main () # gdb AESEncryptDecrypt (gdb) run Starting program: ati-stream-sdk-v2.0-beta4-lnx64/samples/opencl/bin/x86_64/AESEncryptDecrypt [Thread debugging using libthread_db enabled] Encrypting Image .... Input Image : lena512.bmp Key : 15 201 51 89 92 34 96 66 11 225 161 96 81 211 108 124 For test only: Expires on Sun Feb 28 00:00:00 2010 Program received signal SIGSEGV, Segmentation fault. 0x00007ffff474192a in ?? () from /usr/lib/libaticaldd.so (gdb) where #0 0x00007ffff474192a in ?? () from /usr/lib/libaticaldd.so #1 0x00007ffff47416e5 in ?? () from /usr/lib/libaticaldd.so #2 0x00007ffff473e1b7 in ?? () from /usr/lib/libaticaldd.so #3 0x00007ffff4735b15 in ?? () from /usr/lib/libaticaldd.so #4 0x00007ffff4663e63 in ?? () from /usr/lib/libaticaldd.so #5 0x00007ffff477e6da in ?? () from /usr/lib/libaticaldd.so #6 0x00007ffff47781e1 in ?? () from /usr/lib/libaticaldd.so #7 0x00007ffff47875e5 in ?? () from /usr/lib/libaticaldd.so #8 0x00007ffff6e48b78 in gpu::Device::init() () from ati-stream-sdk-v2.0-beta4-lnx64/lib/x86_64/libOpenCL.so #9 0x00007ffff6e2e4bd in amd::Device::init() () from ati-stream-sdk-v2.0-beta4-lnx64/lib/x86_64/libOpenCL.so #10 0x00007ffff6e55083 in amd::Runtime::init(amd::Thread*) () from ati-stream-sdk-v2.0-beta4-lnx64/lib/x86_64/libOpenCL.so #11 0x00007ffff6e17158 in amd::HostThread::HostThread() () from ati-stream-sdk-v2.0-beta4-lnx64/lib/x86_64/libOpenCL.so #12 0x00007ffff6e169b5 in clCreateContextFromType () from ati-stream-sdk-v2.0-beta4-lnx64/lib/x86_64/libOpenCL.so #13 0x000000000040bc0d in AES::AESEncryptDecrypt::setupCL() () #14 0x000000000040c8a1 in AES::AESEncryptDecrypt::setup() () #15 0x000000000040ca78 in main () # xorg-server-1.6.3.901 runs here # ls -al /dev/ati/card0 crw-rw-rw- 1 root root 252, 0 10-17 15:01 /dev/ati/card0 # samples/cal/samples/tutorial/FindNumDevices/FindNumDevices Supported CAL Runtime Version: 1.3.185 Found CAL Runtime Version: 1.4.467 Use -? for help No protocol specified CAL initialized. Finding out number of devices :- Device Count = 0 CAL shutdown successful. # gcc --version gcc (GCC) 4.4.1 $ fglrxinfo -v display: :0.0 screen:0 OpenGL vendor string: ATI Technologies Inc. OpenGL renderer string: ATI Radeon HD 4800 Series OpenGL version string: 2.1.9115 OpenGL extensions: GL_AMDX_vertex_shader_tessellator, GL_AMD_draw_buffers_blend, GL_AMD_performance_monitor, GL_AMD_seamless_cubemap_per_texture, GL_AMD_texture_texture4, GL_AMD_vertex_shader_tessellator, GL_ARB_color_buffer_float, GL_ARB_copy_buffer, GL_ARB_depth_buffer_float, GL_ARB_depth_texture, GL_ARB_draw_buffers, GL_ARB_draw_buffers_blend, GL_ARB_draw_instanced, GL_ARB_fragment_program, GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader, GL_ARB_framebuffer_object, GL_ARB_framebuffer_sRGB, GL_ARB_geometry_shader4, GL_ARB_half_float_pixel, GL_ARB_half_float_vertex, GL_ARB_instanced_arrays, GL_ARB_map_buffer_range, GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_pixel_buffer_object, GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_provoking_vertex, GL_ARB_seamless_cube_map, GL_ARB_shader_objects, GL_ARB_shader_texture_lod, GL_ARB_shading_language_100, GL_ARB_shadow, GL_ARB_shadow_ambient, GL_ARB_texture_border_clamp, GL_ARB_texture_buffer_object, GL_ARB_texture_compression, GL_ARB_texture_compression_rgtc, GL_ARB_texture_cube_map, GL_ARB_texture_env_add, GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, GL_ARB_texture_float, GL_ARB_texture_mirrored_repeat, GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, GL_ARB_texture_rg, GL_ARB_texture_snorm, GL_ARB_transpose_matrix, GL_ARB_uniform_buffer_object, GL_ARB_vertex_array_bgra, GL_ARB_vertex_array_object, GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ARB_window_pos, GL_ATI_draw_buffers, GL_ATI_envmap_bumpmap, GL_ATI_fragment_shader, GL_ATI_meminfo, GL_ATI_separate_stencil, GL_ATI_texture_compression_3dc, GL_ATI_texture_env_combine3, GL_ATI_texture_float, GL_ATI_texture_mirror_once, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_bindable_uniform, GL_EXT_blend_color, GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_compiled_vertex_array, GL_EXT_copy_buffer, GL_EXT_copy_texture, GL_EXT_draw_buffers2, GL_EXT_draw_instanced, GL_EXT_draw_range_elements, GL_EXT_fog_coord, GL_EXT_framebuffer_blit, GL_EXT_framebuffer_multisample, GL_EXT_framebuffer_object, GL_EXT_framebuffer_sRGB, GL_EXT_geometry_shader4, GL_EXT_gpu_program_parameters, GL_EXT_gpu_shader4, GL_EXT_multi_draw_arrays, GL_EXT_packed_depth_stencil, GL_EXT_packed_float, GL_EXT_packed_pixels, GL_EXT_pixel_buffer_object, GL_EXT_point_parameters, GL_EXT_provoking_vertex, GL_EXT_rescale_normal, GL_EXT_secondary_color, GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, GL_EXT_stencil_wrap, GL_EXT_subtexture, GL_EXT_texgen_reflection, GL_EXT_texture3D, GL_EXT_texture_array, GL_EXT_texture_buffer_object, GL_EXT_texture_compression_latc, GL_EXT_texture_compression_rgtc, GL_EXT_texture_compression_s3tc, GL_EXT_texture_cube_map, GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic, GL_EXT_texture_integer, GL_EXT_texture_lod, GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_texture_sRGB, GL_EXT_texture_shared_exponent, GL_EXT_texture_snorm, GL_EXT_texture_swizzle, GL_EXT_transform_feedback, GL_EXT_vertex_array, GL_EXT_vertex_array_bgra, GL_IBM_texture_mirrored_repeat, GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_conditional_render, GL_NV_copy_depth_to_color, GL_NV_explicit_multisample, GL_NV_primitive_restart, GL_NV_texgen_reflection, GL_SGIS_generate_mipmap, GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays, GL_WIN_swap_hint, WGL_EXT_swap_control glx server vendor string: ATI glx server version string: 1.4 glx server extensions: GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group glx client version: 1.4 glx client extensions: GLX_ARB_create_context, GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, GLX_MESA_swap_control, GLX_MESA_swap_frame_usage, GLX_NV_swap_group, GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_swap_barrier, GLX_SGIX_swap_group, GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap, GLX_EXT_framebuffer_sRGB, GLX_ARB_fbconfig_float glx extensions: GLX_ARB_create_context, GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_swap_control, GLX_NV_swap_group, GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_swap_barrier, GLX_SGIX_swap_group, GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap Visual ID: 23 depth=24 class=TrueColor (...)

                                                                              • Beta4 is out!
                                                                                7tifg96r@free.fr

                                                                                Hi

                                                                                 

                                                                                 

                                                                                  • Beta4 is out!
                                                                                    7tifg96r@free.fr

                                                                                    Hi

                                                                                    same thing for me. I get a segmentation fault when running samples.

                                                                                    Debian, testing, Kernel = 2.6.30, amd64

                                                                                    Driver installed successfully (run the installation script with no error). Got the "AMD Testing use only" image on bottom right of the screen.

                                                                                    I can build the sample, without any problem (using make in source directory). ldd on the binaries shows links to libOpenCl.so in stream sdk root directory + libaticalrt.so and libaticalcl.so (installed by the driver install procedure).

                                                                                    Running the sample gives a SEGFAULT.

                                                                                     

                                                                                     

                                                                                     

                                                                                     

                                                                                    antoine@deb-64:~/download/ati-stream-sdk-v2.0-beta4-lnx64/samples/opencl/cl/app/Reduction$ make mkdir -p ../../../../../samples/opencl/bin/debug/x86_64/ Reduction.o Reduction Building ../../../../../samples/opencl/bin/debug/x86_64/Reduction.o g++ -Wfloat-equal -Wpointer-arith -g3 -ffor-scope -I ../../../../../include -o ../../../../../samples/opencl/bin/debug/x86_64/Reduction.o -c Reduction.cpp Building ../../../../../samples/opencl/bin/debug/x86_64/Reduction g++ -o ../../../../../samples/opencl/bin/debug/x86_64/Reduction ../../../../../samples/opencl/bin/debug/x86_64/Reduction.o -lpthread -ldl -L/usr/X11R6/lib -lOpenCL -lSDKUtil -L../../../../../lib/x86_64 for f in Reduction_Kernels.cl; do \ install -D $f ../../../../../samples/opencl/bin/debug/x86_64/$f; \ done for f in ; do \ install -D $f ../../../../../samples/opencl/bin/debug/x86_64/$f; \ done install -D ../../../../../samples/opencl/bin/debug/x86_64/Reduction x86_64/Reduction for f in Reduction_Kernels.cl; do \ install -D $f x86_64/$f; \ done antoine@deb-64:~/download/ati-stream-sdk-v2.0-beta4-lnx64/samples/opencl/cl/app/Reduction$ ./x86_64/Reduction -v Input 3 1 0 2 4 4 5 3 3 5 3 4 2 0 5 5 0 3 3 3 2 0 2 [... more numbers] For test only: Expires on Sun Feb 28 00:00:00 2010 Erreur de segmentation antoine@deb-64:~/download/ati-stream-sdk-v2.0-beta4-lnx64/samples/opencl/cl/app/Reduction$ ldd x86_64/Reduction linux-vdso.so.1 => (0x00007fff2b268000) libpthread.so.0 => /lib/libpthread.so.0 (0x00007f238d2a1000) libdl.so.2 => /lib/libdl.so.2 (0x00007f238d09d000) libOpenCL.so => /opt/ati/sdk/lib/x86_64/libOpenCL.so (0x00007f238c330000) libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f238c020000) libm.so.6 => /lib/libm.so.6 (0x00007f238bd9d000) libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f238bb83000) libc.so.6 => /lib/libc.so.6 (0x00007f238b832000) /lib64/ld-linux-x86-64.so.2 (0x00007f238d4bc000) libaticalrt.so => /usr/lib/libaticalrt.so (0x00007f238d5a0000) libaticalcl.so => /usr/lib/libaticalcl.so (0x00007f238b714000) libGL.so.1 => /usr/lib/libGL.so.1 (0x00007f238b57f000) libGLU.so.1 => /usr/lib/libGLU.so.1 (0x00007f238b30e000) librt.so.1 => /lib/librt.so.1 (0x00007f238b106000) libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f238aef5000) libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f238abbb000) libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f238a9b8000) libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f238a79c000) libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f238a597000) antoine@deb-64:~/download/ati-stream-sdk-v2.0-beta4-lnx64/samples/opencl/cl/app/Reduction$ gdb x86_64/Reduction GNU gdb (GDB) 6.8.50.20090628-cvs-debian Copyright (C) 2009 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-linux-gnu". For bug reporting instructions, please see: <http://www.gnu.org/software/gdb/bugs/>... (gdb) run Starting program: /home/antoine/download/ati-stream-sdk-v2.0-beta4-lnx64/samples/opencl/cl/app/Reduction/x86_64/Reduction [Thread debugging using libthread_db enabled] Input 0 1 0 1 5 0 4 2 1 1 4 5 5 1 4 4 4 2 1 1 1 1 1 2 4 4 [... more numbers] For test only: Expires on Sun Feb 28 00:00:00 2010 Program received signal SIGSEGV, Segmentation fault. 0x00007ffff48fd92a in ?? () from /usr/lib/libaticaldd.so (gdb) where #0 0x00007ffff48fd92a in ?? () from /usr/lib/libaticaldd.so #1 0x00007ffff48fd6e5 in ?? () from /usr/lib/libaticaldd.so #2 0x00007ffff48fa1b7 in ?? () from /usr/lib/libaticaldd.so #3 0x00007ffff48f1b15 in ?? () from /usr/lib/libaticaldd.so #4 0x00007ffff481fe63 in ?? () from /usr/lib/libaticaldd.so #5 0x00007ffff493a6da in ?? () from /usr/lib/libaticaldd.so #6 0x00007ffff49341e1 in ?? () from /usr/lib/libaticaldd.so #7 0x00007ffff49435e5 in ?? () from /usr/lib/libaticaldd.so #8 0x00007ffff6e48b78 in gpu::Device::init() () from /opt/ati/sdk/lib/x86_64/libOpenCL.so #9 0x00007ffff6e2e4bd in amd::Device::init() () from /opt/ati/sdk/lib/x86_64/libOpenCL.so #10 0x00007ffff6e55083 in amd::Runtime::init(amd::Thread*) () from /opt/ati/sdk/lib/x86_64/libOpenCL.so #11 0x00007ffff6e17158 in amd::HostThread::HostThread() () from /opt/ati/sdk/lib/x86_64/libOpenCL.so #12 0x00007ffff6e169b5 in clCreateContextFromType () from /opt/ati/sdk/lib/x86_64/libOpenCL.so #13 0x00000000004051b5 in Reduction::setupCL (this=0x7fffffffe070) at Reduction.cpp:157 #14 0x000000000040689e in Reduction::setup (this=0x7fffffffe070) at Reduction.cpp:668 #15 0x000000000040695a in main (argc=1, argv=0x7fffffffe218) at Reduction.cpp:818 (gdb)

                                                                                      • Beta4 is out!
                                                                                        Vi0L0

                                                                                        @7tifg96r@free.fr:

                                                                                        i have added my gdb output to code attached to my pre-previous post, looks exactly like yours

                                                                                        Could you please edit your post and maybe erase those numbers from attached code - its braking page formating

                                                                                          • Beta4 is out!
                                                                                            omkaranathan

                                                                                            Hi Vi0L0, 7tifg96r@free.fr,

                                                                                            Unfortunately the distribution you are using isn't a supported distribution currently. We'll be able to help you out if you can try it on one of the supported distributions to see if the problem still exists.

                                                                                              • Beta4 is out!
                                                                                                Vi0L0

                                                                                                @omkaranathan:

                                                                                                thats sweet, but i would rather die in suffering than switch to ubuntu or opensuse xD

                                                                                                Well - if not ati then community, i have posted here because i belive its a good forum, i belive its a forum where are writing people with some knowledge. And i think its the right place to ask, not necessery expecting the help of producent of my graphic card.

                                                                                                If nobody answer - no problem, i will wait having hope that new driver edition will fix some bugs.

                                                                                                Greetz

                                                                                                • Beta4 is out!
                                                                                                  7tifg96r@free.fr

                                                                                                  @omkaranathan

                                                                                                  Thanks for your answer, but (even if I'm not ready to die for this ), I will hardly consider switching to Ubuntu or Opensuse. I've tried many distros in the past and ever came back to Debian.

                                                                                                  So I will wait as well. While I fully understand the constraint to support more distributions, especially in a period where the SDK is not mature enough, I strongly suggest that you consider adding more distributions to your supported list (including Debian: if you have Ubuntu, Debian shall not be very different).

                                                                                                  I also want to point out that 'Ubuntu 9.04' or 'Opensuse 11.0' is a very vague specification. If you mean 'Opensuse 11.0' exactly as it is out of the box, then chances are that many people already upgraded their system (package updates, possibly differents kernel versions, ...)

                                                                                                   

                                                                                                  However, I made more tests:

                                                                                                  1) downgrade kernel to 2.6.26 on my debian box, and rerun the driver installation. I got some strange messages at the end of driver installation, but the driver seems to run fine (not visible problem + image "testing use" on lower right corner).

                                                                                                  When I run the samples, no more SEGFAULT, but a X server error.

                                                                                                  2) install a new fresh version of Opensuse (sorry I took 11.1...). Kernel is 2.6.27. Got the same strange messages at the end of driver installation, and the same X server error as with Debian + Kernel 2.6.26.

                                                                                                  In case this matters, the card is a HD 4850

                                                                                                   

                                                                                                   

                                                                                                  Error when installing: *** glibc detected *** ./setup.data/bin/x86_64/setup: double free or corruption (fasttop): 0x0000000000674f50 *** ======== Backtrace: ======== [...] more data + terminal corrupted (needs a reset) ./ati-installer.sh: line 41: 13907 Aborted Error when running : [...] For test only: Expires on Sun Feb 28 00:00:00 2010 X Error of failed request: BadRequest (invalid request code or no such operation) Major opcode of failed request: 143 () Minor opcode of failed request: 19 Serial number of failed request: 8 Current serial number in output stream: 8

                                                                                                    • Beta4 is out!
                                                                                                      titanius

                                                                                                       

                                                                                                      Originally posted by: 7tifg96r@free.fr @omkaranathan

                                                                                                       

                                                                                                      Thanks for your answer, but (even if I'm not ready to die for this ), I will hardly consider switching to Ubuntu or Opensuse. I've tried many distros in the past and ever came back to Debian.

                                                                                                       

                                                                                                      So I will wait as well. While I fully understand the constraint to support more distributions, especially in a period where the SDK is not mature enough, I strongly suggest that you consider adding more distributions to your supported list (including Debian: if you have Ubuntu, Debian shall not be very different).

                                                                                                       

                                                                                                      I also want to point out that 'Ubuntu 9.04' or 'Opensuse 11.0' is a very vague specification. If you mean 'Opensuse 11.0' exactly as it is out of the box, then chances are that many people already upgraded their system (package updates, possibly differents kernel versions, ...)

                                                                                                       

                                                                                                       

                                                                                                       

                                                                                                      However, I made more tests:

                                                                                                       

                                                                                                      1) downgrade kernel to 2.6.26 on my debian box, and rerun the driver installation. I got some strange messages at the end of driver installation, but the driver seems to run fine (not visible problem + image "testing use" on lower right corner).

                                                                                                       

                                                                                                      When I run the samples, no more SEGFAULT, but a X server error.

                                                                                                       

                                                                                                      2) install a new fresh version of Opensuse (sorry I took 11.1...). Kernel is 2.6.27. Got the same strange messages at the end of driver installation, and the same X server error as with Debian + Kernel 2.6.26.

                                                                                                       

                                                                                                      In case this matters, the card is a HD 4850

                                                                                                       

                                                                                                       

                                                                                                       

                                                                                                       

                                                                                                       

                                                                                                      @7tifg96r@free.fr : i been using a 4830 card sucessfully in debian. Though i am running on Unstable branch. The kernel i am using is the latest generic kernel from kernel.org "2.6.31.4". If that doesnt works out for you (compiling your own generic kernel) it seems that some library is different in the testing and unstable branches that is not working with beta4

                                                                                                       

                                                                                                      if you get segfaults while installing, i have noticed that its because the module didn't compile successfully. I had the earlier catalyst driver doing that when i tried compiling for newer kernels that they did not support.

                                                                                                       

                                                                                                      let me also see if i can use the default kernel and this implementation.

                                                                                                        • Beta4 is out!
                                                                                                          Vi0L0

                                                                                                          I think I've changed my mind, and when (if) i will find some time, im gonna instal ubuntu 9.04 just to test this driver

                                                                                                           

                                                                                                          @7tifg96r@free.fr:

                                                                                                          i'm keepin my fingers crossed to see that driver works on your 4850

                                                                                                           

                                                                                                          @omkaranathan:

                                                                                                          sorry for being unkind, but this arch distro means lot to me, also it's the system on which i've been workin, and its "fit" to me

                                                                                                          • Beta4 is out!
                                                                                                            7tifg96r@free.fr

                                                                                                            @titanius

                                                                                                            Thanks for the hint.

                                                                                                            I compiled kernel 2.6.31.5. OpenCL beta drivers installs. But I get the same SEGFAULT in libaticaldd.so when running samples (either provided binaries or recompiled ones).

                                                                                                            I then installed a fresh Ubuntu 9.04 on a new partition. OpenCL drivers installs and sample DO NOT SEGFAULT. Great, but unfortunately this will not makes me switch to Ubuntu... So I guess I will wait

                                                                                                            Here is a summary:

                                                                                                            - 4850 card

                                                                                                            - debian testing, kernel 2.6.30, Opencl beta driver installs, samples seg fault

                                                                                                            - debian testing, with custom compiled kernel 2.6.31 (i.e, other packages from debian testing), Opencl beta driver installs, samples seg fault

                                                                                                            - Opensuse 11.1 on a new partition, kernel 2.6.27, Opencl beta driver do not install

                                                                                                            - Ubuntu 9.04 on a new partition, Opencl beta driver install, samples run (provided binaries)

                                                                                                             

                                                                                                             

                                                                                                             

                                                                                                             

                                                                                              • Beta4 is out!
                                                                                                rotor

                                                                                                Thanks guys. But I tried to remove Nvidia SDK and reinstall the ATI SDK but when I run the programs I still gor the message: The Program can't Start because aticalcl.dll is missing from your computer. Any suggesstions?

                                                                                                  • Beta4 is out!
                                                                                                    rotor

                                                                                                    Figure out how to solve the problem here: http://forums.amd.com/forum/messageview.cfm?catid=390&threadid=120308

                                                                                                    Actually I need to slightly modify as follow:

                                                                                                     

                                                                                                    1. Download and install the ATI Stream SDK and the samples
                                                                                                    2. Download the OpenCL GPU driver zip file
                                                                                                    3. Extract the zip file
                                                                                                    4. In command prompt go the folder ati-opencl-beta-driver-v2.0-beta4-vista-win7\Vista_7\Packages\Drivers\Display\W7_INF\B_89940 (or W764_INF for 64 bit)
                                                                                                    5. run "expand aticalcl.dl_ aticalcl.dll"
                                                                                                    6. run "expand aticalrt.dl_ aticalrt.dll"
                                                                                                    7. copy the two new aticalcl.dll and aticalrt.dll files to c:\program files\ati stream\bin\x86 (in the case of 32 bit)
                                                                                                    8. Run a sample to test it
                                                                                            • Beta4 is out!
                                                                                              mat69

                                                                                              Yes I'm running on Linux 64bit, ldd reports that it should use the correct libaticaldd.so.

                                                                                              The md5sum of the libaticaldd.so used is f5350b37d766ae8afd0e473f7ac30e61

                                                                                                • Beta4 is out!
                                                                                                  omkaranathan

                                                                                                   

                                                                                                  Originally posted by: mat69 Yes I'm running on Linux 64bit, ldd reports that it should use the correct libaticaldd.so.

                                                                                                   

                                                                                                  The md5sum of the libaticaldd.so used is f5350b37d766ae8afd0e473f7ac30e61

                                                                                                   

                                                                                                  Could you please post the procedure you have followed(including the driver installation) also the system configuration?

                                                                                                  Could you try compiling the cal samples and see whether they are working?

                                                                                                    • Beta4 is out!
                                                                                                      mat69

                                                                                                      I'm running Arch Linux 64 bit and followed the procedure Vi0L0 outlined.

                                                                                                      And as mentioned cal examples compile (except those that use stderr, stdout, fprintf and getchar, yet they crash when executing them.

                                                                                          • Beta4 is out!
                                                                                            fiery

                                                                                             

                                                                                            Originally posted by: michael.chu Hi sesef,

                                                                                            I am uploading the correct file here:

                                                                                            ftp://streamcomputing:streamcomputing@ftp-developer.amd.com/ATI%20Stream%20SDK%20v2.0-beta4/ati-opencl-beta-driver-v2.0-beta4-xp.zipstreamcomputing@ftp-developer.amd.com/ATI%20Stream%20SDK%20v2.0-beta4/ati-opencl-beta-driver-v2.0-beta4-xp.zip

                                                                                            and at the same time getting out web folks to look at it and replace the file.

                                                                                            I apologize for the inconvenience! I checked the md5sums of the other binaries off the site and their md5sums look okay. Let me know if the other files cause any issues for you!

                                                                                            Michael.

                                                                                            That link doesn't seem to work anymore, and the driver files have been removed from the following page:

                                                                                            http://developer.amd.com/GPU/ATISTREAMSDKBETAPROGRAM/Pages/default.aspx

                                                                                            What happened that made you pull the drivers back?

                                                                                              • Beta4 is out!
                                                                                                michael.chu

                                                                                                Hi fiery,

                                                                                                Thanks for bringing that to my attention fiery!

                                                                                                I checked with the web folks and it looks like there was some server corruption that happened that wiped those files out. I'm on it... some of the folks are out today so it might take until later today to get that resolved.

                                                                                                Sincerely apologize for the inconvenience! Will post back when I know they are back up for certain. Hang tight!

                                                                                                Michael.

                                                                                                  • Beta4 is out!
                                                                                                    omkaranathan

                                                                                                    Hi mat69,

                                                                                                    You should set the environment variable ATISTREAMSDKSAMPLESROOT to point to your installation directory to compile cal samples.

                                                                                                     

                                                                                                    • Beta4 is out!
                                                                                                      michael.chu

                                                                                                      Driver update: Just got word from the web team in India that it's all up again! (thank goodness!) Test downloaded them just to be sure and got all 3 on my home machine AND the XP drivers are all good as well this time!

                                                                                                      Sorry for the delay! Just happened to hit the particular time when my key folks are out and I had to wait for the folks in India to get to the fix.

                                                                                                      Carry on as you were... :-)

                                                                                                      Michael.

                                                                                          • Beta4 is out!
                                                                                            dr_jaymahdi

                                                                                            Hi,

                                                                                            Does this SDK support "remote Stream Application execution" ?

                                                                                            In other words, am I able to run applications remotely when I connect through SSH to a machine that contains an OpenCL compatible video card?

                                                                                            Thanks

                                                                                             

                                                                                             

                                                                                            • RHEL5?
                                                                                              ANogin

                                                                                              Is there some good way of making beta4 work on RHEL5? I can get part of the way by:

                                                                                              1. Install the gcc43-c++
                                                                                              2. Change samples/cal/Makefile.common to say "CXX = g++43"
                                                                                              3. Change make/openclsdkdefs.mk to say "CC := g++43" and "LD := g++43"

                                                                                              After the above steps, the cal samples compile but there is still a problem with openCl as lib/x86_64/libOpenCL.so is linked to expect /usr/lib64/libstdc++.so.6 to be the 4.3 one, while in fact on RHEL the /usr/lib64/libstdc++.so.6 is 4.1 and 4.3 is /usr/lib/gcc/x86_64-redhat-linux6E/4.3.2/libstdc++.a

                                                                                              P.S. With NVIDIA the "CXX=g++43" approach works as the SDK does not come with an already linked libOpenCL.so; instead I get to link it correctly during the installation process.

                                                                                                • RHEL5?
                                                                                                  michael.chu

                                                                                                  Hi ANogin,

                                                                                                  We'll be adding RHEL support in a future release. We definitely recognize it as a necessity for the community. There are just some C++ compatibility fixes were are finishing up.

                                                                                                  Michael.

                                                                                                • Beta4 is out!
                                                                                                  mat69

                                                                                                  I can not run the examples, I always get a SIGSEV in /home/kde-devel/steam/lib/x86_64/libaticaldd.so

                                                                                                  I also can not compile the cal-examples as it does not find cal.h and calcl.h

                                                                                                  • Beta4 is out!
                                                                                                    tak

                                                                                                    I use HD 4870 graphic card. CL_DEVICE_IMAGE_SUPPORT attribute is false. Will it be available in future version??

                                                                                                    And, CL_DEVICE_EXTENSIONS is empty (output was ""). Is it OK?

                                                                                                    thanks

                                                                                                      • Beta4 is out!
                                                                                                        omkaranathan

                                                                                                         

                                                                                                        Originally posted by: tak I use HD 4870 graphic card. CL_DEVICE_IMAGE_SUPPORT attribute is false. Will it be available in future version??

                                                                                                        And, CL_DEVICE_EXTENSIONS is empty (output was ""). Is it OK?

                                                                                                        thanks

                                                                                                        Yes, this is expected. Extensions are not supported currently.

                                                                                                      • CPU requirements
                                                                                                        craft_coder

                                                                                                        The platform requirements say it needs SSE 3.x.  Does that mean > 3.0 (i.e. Prescott P4 and Pentium D)?

                                                                                                         

                                                                                                          • CPU requirements
                                                                                                            craft_coder

                                                                                                            I guess I should be more clear:

                                                                                                             

                                                                                                            Does it require SSE3 or SSSE3?

                                                                                                             

                                                                                                            http://en.wikipedia.org/wiki/SSE3

                                                                                                            http://en.wikipedia.org/wiki/SSSE3

                                                                                                             

                                                                                                            I need to know if I need a new AGP graphics card (e.g. 4650) or a completely new system.  Funds are tight and I don't care that much about performance, right now - just want to dabble.  Thanks.

                                                                                                             

                                                                                                              • Beta4 is out!
                                                                                                                lightnix

                                                                                                                 

                                                                                                                Originally posted by: craft_coder I guess I should be more clear:

                                                                                                                Does it require SSE3 or SSSE3?

                                                                                                                http://en.wikipedia.org/wiki/SSE3

                                                                                                                http://en.wikipedia.org/wiki/SSSE3

                                                                                                                I need to know if I need a new AGP graphics card (e.g. 4650) or a completely new system.  Funds are tight and I don't care that much about performance, right now - just want to dabble.  Thanks.

                                                                                                                If you're referring to the OpenCL beta, then SSE3, judging by the FAQ:

                                                                                                                 

                                                                                                                The CPU component of OpenCL bundled with the ATI Stream SDK works with any x86 CPU
                                                                                                                with SSE3 or later. AMD CPUs have supported SSE3 (and later) since 2005.


                                                                                                                I don't think any AMD CPUs support SSSE3 currently, so I wouldn't worry about AMD making it a requirement.

                                                                                                                  • Beta4 is out!
                                                                                                                    emuller

                                                                                                                    Hi Guys,

                                                                                                                    I noticed the new driver doesn't detect all cards unless I

                                                                                                                    export DISPLAY=:0

                                                                                                                    Might help in your case.

                                                                                                                     

                                                                                                                     

                                                                                                                      • Beta4 is out!
                                                                                                                        Vi0L0

                                                                                                                         

                                                                                                                        Originally posted by: emuller

                                                                                                                        export DISPLAY=:0

                                                                                                                        No changes here

                                                                                                                        Edit: now i've got another confirmation and it is like i was thinking - this is not only my prticular case, maybe really somethings wrong with our build, can some appropriate person look at our build placed here @ PKGBUILD http://aur.archlinux.org/packages.php?ID=31216  I would be very greatfull for any help

                                                                                                                        Oh and better translation of my "Memory protection violation" is "Segmentation fault"

                                                                                                                         

                                                                                                                        Edit2: Im looking so deep, but maybe its closer, and simpler than I can imagine... Maybe this driver (i mean opencl funcionality here, everything else work good, but everything else looks like been copied from 8.660 which has 2.6.31 support) just dont support 2.6.31 kernel?

                                                                                                                        @ download zone has been written: Linux® (openSUSE™ 11.0, Ubuntu® 9.04)  <~~ which are so old systems, and definitely dont have 2.6.31 kernel inside... Even OpenSuse 11.1 is builded on Linux 2.6.27.7... which is 1 year old